CVE-2015-8668 (retired)

Priority
Description
Heap-based buffer overflow in the PackBitsPreEncode function in
tif_packbits.c in bmp2tiff in libtiff 4.0.6 and earlier allows remote
attackers to execute arbitrary code or cause a denial of service via a
large width field in a BMP image.
Notes
 mdeslaur> upstream removed the bmp2tiff utility in 4.0.7
 mdeslaur> RHEL patch is incomplete
Package
Source: tiff (LP Ubuntu Debian)
Upstream:released (4.0.6-3)
Ubuntu 12.04 ESM (Precise Pangolin):released (3.9.5-2ubuntu1.10)
Ubuntu 14.04 LTS (Trusty Tahr):released (4.0.3-7ubuntu0.6)
Ubuntu 16.04 LTS (Xenial Xerus):released (4.0.6-1ubuntu0.1)
Patches:
Vendor:https://git.centos.org/blob/rpms!libtiff.git/1ad9335dc0c1325262c62842eda01476243ec821/SOURCES!libtiff-CVE-2015-8668.patch
More Information

Updated: 2019-03-26 12:17:35 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)